<h2 mat-dialog-title
    [ngClass]="{'title-dialog-warn': data.theme=='warn','title-dialog-primary': data.theme=='primary'}">{{data?.title}}
</h2>
<mat-dialog-content>
    {{data?.body}}
</mat-dialog-content>
<mat-dialog-actions style="    float: right;">
    <button mat-raised-button
        [mat-dialog-close]="false">{{data?.validateText ?  data?.cancelText : 'cancel' }}</button>
    <button mat-raised-button [mat-dialog-close]="true"
        >{{ data?.validateText ?  data?.validateText : 'ok' }}</button>
</mat-dialog-actions>
